Name:           perl-Ouch
Version:        0.0409
Release:        3%{?dist}
Summary:        Exceptions that don't hurt
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Ouch/
Source0:        http://www.cpan.org/authors/id/R/RI/RIZEN/Ouch-%{version}.tar.gz
BuildArch:      noarch
# Build
BuildRequires:  perl
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Runtime
BuildRequires:  perl(Carp)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(overload)
BuildRequires:  perl(parent)
BuildRequires:  perl(Scalar::Util)
# Tests only
BuildRequires:  perl(lib)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Trap)
Requires:       perl(:MODULE_COMPAT_%(eval "$(perl -V:version)"; echo $version))

%description
Ouch provides a class for exception handling that doesn't require a
lot of boilerplate, nor any up front definition. If Exception::Class
is working for you, great! But if you want something that is faster,
easier to use, requires less typing, and has no prerequisites, but still
gives you much of that same functionality, then Ouch is for you.

%prep
%setup -q -n Ouch-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}/*

%check
make test

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0409-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 06 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.0409-2
- Perl 5.22 rebuild

* Mon Feb 02 2015 Petr Šabata <contyk@redhat.com> - 0.0409-1
- 0.0409 bump

* Wed Aug 27 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.0408-3
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0408-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Sep 24 2013 Petr Pisar <ppisar@redhat.com> - 0.0408-1
- 0.0408 bump

* Mon Sep 16 2013 Petr Šabata <contyk@redhat.com> - 0.0406-1
- 0.0406 bump, METAs update

* Thu Aug 22 2013 Petr Šabata <contyk@redhat.com> - 0.0405-1
- 0.0405 bump, POD fixes
- Make our description a little better

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0403-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jul 23 2013 Petr Pisar <ppisar@redhat.com> - 0.0403-2
- Perl 5.18 rebuild

* Mon Jul 15 2013 Petr Šabata <contyk@redhat.com> - 0.0403-1
- 0.0403, documentation typo fixes

* Thu Jun 20 2013 Petr Šabata <contyk@redhat.com> - 0.0402-1
- 0.0402 doc enhancement bump

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0401-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0401-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jun 14 2012 Petr Pisar <ppisar@redhat.com> - 0.0401-4
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0401-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jul 19 2011 Petr Sabata <contyk@redhat.com> - 0.0401-2
- Perl mass rebuild

* Mon May  2 2011 Petr Sabata <psabata@redhat.com> - 0.0401-1
- 0.0401 bump
- Removing obsolete defattr

* Mon Apr 18 2011 Petr Sabata <psabata@redhat.com> - 0.0300-1
- Specfile autogenerated by cpanspec 1.78
- Buildroot stuff removed
